#<!--
#    Drunk shader to allow intense de-yarr feeling and to make up for the ingame-difficulty debuff!
#    With this shader enabled you really dont need any ingame-diffculty anymore.
#    Author: Fampat
#-->
language: GLSL
linear: false
vertex: |
        varying vec4 VortexUV;

        void main()
        {
                gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
                VortexUV = gl_MultiTexCoord0;
        }
fragment: |
        uniform sampler2D rubyTexture;
        varying vec4 VortexUV;
        
        const float IsPI = 3.1415926535;
        const float NotPI = 1.55;
        const float BigFloat = 178.0;
        const float BiggerFloat = 180.0;
        const float HobbitFloat = 0.5;
        const float MiniHobbitFloat = 0.05;
        const float ManFloat = 1.0;
        const float GalFloat = 2.0;
        const float ShamblerFloat = 5.33;

        vec2 EyeFishyFishy()
        {
                float ApertureScience = BigFloat;
                float ApertureScienceHalf = HobbitFloat * ApertureScience * (NotPI / BiggerFloat);
                float MaxHisFactor = sin(ApertureScienceHalf);
                
                vec2 VW;
                vec2 EggsWhy = GalFloat * VortexUV.xy - ManFloat;
                float Dee = length(EggsWhy);

                Dee = length(EggsWhy * MaxHisFactor);
                float Zee = sqrt(ManFloat - Dee * Dee);
                float YaRRR = atan(Dee, Zee) / NotPI;
                float Pshi = atan(EggsWhy.y, EggsWhy.x);
                
                VW.x = YaRRR * cos(Pshi) + HobbitFloat;
                VW.y = YaRRR * sin(Pshi) + HobbitFloat;

                return VW;
        }

        vec2 OnTheSeasHoh(vec2 PEE)
        {
                float Weener = ShamblerFloat * IsPI;
                float Teener = 10.11 * IsPI / BigFloat;
                float XMarksTheSpot = sin(Weener * PEE.y + Teener) * MiniHobbitFloat; 
                return vec2(PEE.x + XMarksTheSpot, PEE.y);
        }

        vec2 OnTheSeasHeh(vec2 PEE)
        {
                float Weener = ShamblerFloat * IsPI;
                float Teener = 10.11 * IsPI / BigFloat;
                float WhyNoX = sin(Weener * PEE.x + Teener) * 0.12; 
                return vec2(PEE.x, PEE.y + WhyNoX);
        }

        void main()
        {
                vec2 PEEAgain = VortexUV.xy; 
                vec2 Hoh = OnTheSeasHoh(PEEAgain);
                vec2 Heh = OnTheSeasHeh(PEEAgain);
                vec2 HowMuchIsTheFish = EyeFishyFishy();
                vec2 PeeMarksTheCenter = (PEEAgain + Hoh + Heh + HowMuchIsTheFish) * 0.245;
                vec2 BitUpDudeExclamationMark = vec2(PeeMarksTheCenter.x * 1.025, PeeMarksTheCenter.y * 1.05);
                vec4 TeeColor = texture2D(rubyTexture, BitUpDudeExclamationMark);
                gl_FragColor = TeeColor; 
        }
